Skip to content

Get blob by ID. This will redirect to a cacheable content URL.​

GET
/v2/consumer/blobs/{blobId}

Parameters​

Path Parameters

blobId*
Type
string
Required

Query Parameters

workflowId
Type
string
nsfwLevel

Maximum NSFW level. When set, a blob with no level or a level above it is an error.

Type
string
Valid values
"pg""pg13""r""x""xxx""na"
filename

Optional filename for the Content-Disposition header. Path components and control characters are stripped.

Type
string
download

When true, the blob is served with Content-Disposition: attachment to prompt a download. Defaults to inline.

Type
boolean

Responses​

Permanent Redirect

Playground​

Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Civitai Developer Documentation